Subject: Re: bug#30993: OpenSSH sshd killed by Shepherd 0.4.0

From: Martin Castillo <[email-masked]>
Date: Tue, 1 May 2018 15:13:05 +0200

(resending because I forgot to CC the list)

On 06.04.2018 14:41, Leo Famulari wrote:
>> Hmm, where could that SIGTERM come from?  ‘make-kill-destructor’ uses it
>> when a service is stopped, and otherwise it’s sent when we’re shutting
>> the system down.  But here?…
>
> Indeed, that is the question. Does anyone have advice for debugging?
>
> I still have this issue and so I'm continuing to use Shepherd 0.3.2.
>

Maybe one could somehow strace herd, or change the make-kill-destructor
to log every time it is being executed?

I'm not that fluent in guile so maybe someone else could do that?